<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HRESIAbstractType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HRESIAbstractType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HRESIAbstractType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/GrfhicAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/HRESIAbstractType.html" target="_top">Frames</a>
        </li>
        <li><a href="HRESIAbstractType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model.types</div>
    <h2 title="Class HRESIAbstractType" class="title">Class HRESIAbstractType</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwpf.model.types.HRESIAbstractType</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/hwpf/model/Hyphenation.html"
                           title="class in org.apache.poi.hwpf.model">Hyphenation</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public abstract class <span class="typeNameLabel">HRESIAbstractType</span>
extends java.lang.Object</pre>
                <div class="block">Hyphenation (HRESI).
                    <p>
                        Class and fields descriptions are quoted from Microsoft Office Word 97-2007
                        Binary File Format (.doc) Specification

                        NOTE: This source is automatically generated please do not modify this file.
                        Either subclass or remove the record in src/types/definitions.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary
                        File Format (.doc) Specification
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#field_1_hres">field_1_hres</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#field_2_chHres">field_2_chHres</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_ADD_LETTER_BEFORE">HRES_ADD_LETTER_BEFORE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_CHANGE_LETTER_AFTER">HRES_CHANGE_LETTER_AFTER</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_CHANGE_LETTER_BEFORE">HRES_CHANGE_LETTER_BEFORE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_DELETE_BEFORE_CHANGE_BEFORE">HRES_DELETE_BEFORE_CHANGE_BEFORE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_DELETE_LETTER_BEFORE">HRES_DELETE_LETTER_BEFORE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_NO">HRES_NO</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_NORMAL">HRES_NORMAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRESIAbstractType--">HRESIAbstractType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#fillFields-byte:A-int-">fillFields</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#getChHres--">getChHres</a></span>()</code>
                                    <div class="block">The character that will be used to add or change a letter when
                                        hres is 2, 3, 5 or 6.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#getHres--">getHres</a></span>()</code>
                                    <div class="block">Hyphenation rule.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#getSize--">getSize</a></span>()</code>
                                    <div class="block">Size of record (exluding 4 byte header)</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#serialize-byte:A-int-">serialize</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#setChHres-byte-">setChHres</a></span>(byte&nbsp;field_2_chHres)</code>
                                    <div class="block">The character that will be used to add or change a letter when
                                        hres is 2, 3, 5 or 6.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#setHres-byte-">setHres</a></span>(byte&nbsp;field_1_hres)</code>
                                    <div class="block">Hyphenation rule.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="field_1_hres">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_1_hres</h4>
                                <pre>protected&nbsp;byte field_1_hres</pre>
                            </li>
                        </ul>
                        <a name="HRES_NO">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HRES_NO</h4>
                                <pre>public static final&nbsp;byte HRES_NO</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.HRESIAbstractType.HRES_NO">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HRES_NORMAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HRES_NORMAL</h4>
                                <pre>public static final&nbsp;byte HRES_NORMAL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.HRESIAbstractType.HRES_NORMAL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HRES_ADD_LETTER_BEFORE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HRES_ADD_LETTER_BEFORE</h4>
                                <pre>public static final&nbsp;byte HRES_ADD_LETTER_BEFORE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.HRESIAbstractType.HRES_ADD_LETTER_BEFORE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HRES_CHANGE_LETTER_BEFORE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HRES_CHANGE_LETTER_BEFORE</h4>
                                <pre>public static final&nbsp;byte HRES_CHANGE_LETTER_BEFORE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.HRESIAbstractType.HRES_CHANGE_LETTER_BEFORE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HRES_DELETE_LETTER_BEFORE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HRES_DELETE_LETTER_BEFORE</h4>
                                <pre>public static final&nbsp;byte HRES_DELETE_LETTER_BEFORE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.HRESIAbstractType.HRES_DELETE_LETTER_BEFORE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HRES_CHANGE_LETTER_AFTER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HRES_CHANGE_LETTER_AFTER</h4>
                                <pre>public static final&nbsp;byte HRES_CHANGE_LETTER_AFTER</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.HRESIAbstractType.HRES_CHANGE_LETTER_AFTER">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HRES_DELETE_BEFORE_CHANGE_BEFORE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HRES_DELETE_BEFORE_CHANGE_BEFORE</h4>
                                <pre>public static final&nbsp;byte HRES_DELETE_BEFORE_CHANGE_BEFORE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hwpf.model.types.HRESIAbstractType.HRES_DELETE_BEFORE_CHANGE_BEFORE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="field_2_chHres">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>field_2_chHres</h4>
                                <pre>protected&nbsp;byte field_2_chHres</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HRESIAbstractType--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HRESIAbstractType</h4>
                                <pre>protected&nbsp;HRESIAbstractType()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="fillFields-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillFields</h4>
                                <pre>protected&nbsp;void&nbsp;fillFields(byte[]&nbsp;data,
                          int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="serialize-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(byte[]&nbsp;data,
                      int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public static&nbsp;int&nbsp;getSize()</pre>
                                <div class="block">Size of record (exluding 4 byte header)</div>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHres--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHres</h4>
                                <pre>public&nbsp;byte&nbsp;getHres()</pre>
                                <div class="block">Hyphenation rule.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>One of
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_NO"><code>HRES_NO</code></a>
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_NORMAL"><code>HRES_NORMAL</code></a>
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_ADD_LETTER_BEFORE"><code>HRES_ADD_LETTER_BEFORE</code></a>
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_CHANGE_LETTER_BEFORE"><code>HRES_CHANGE_LETTER_BEFORE</code></a>
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_DELETE_LETTER_BEFORE"><code>HRES_DELETE_LETTER_BEFORE</code></a>
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_CHANGE_LETTER_AFTER"><code>HRES_CHANGE_LETTER_AFTER</code></a>
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_DELETE_BEFORE_CHANGE_BEFORE"><code>HRES_DELETE_BEFORE_CHANGE_BEFORE</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHres-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHres</h4>
                                <pre>public&nbsp;void&nbsp;setHres(byte&nbsp;field_1_hres)</pre>
                                <div class="block">Hyphenation rule.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>field_1_hres</code> - One of
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_NO"><code>HRES_NO</code></a>
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_NORMAL"><code>HRES_NORMAL</code></a>
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_ADD_LETTER_BEFORE"><code>HRES_ADD_LETTER_BEFORE</code></a>
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_CHANGE_LETTER_BEFORE"><code>HRES_CHANGE_LETTER_BEFORE</code></a>
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_DELETE_LETTER_BEFORE"><code>HRES_DELETE_LETTER_BEFORE</code></a>
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_CHANGE_LETTER_AFTER"><code>HRES_CHANGE_LETTER_AFTER</code></a>
                            <li>
                                <a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html#HRES_DELETE_BEFORE_CHANGE_BEFORE"><code>HRES_DELETE_BEFORE_CHANGE_BEFORE</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChHres--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChHres</h4>
                                <pre>public&nbsp;byte&nbsp;getChHres()</pre>
                                <div class="block">The character that will be used to add or change a letter when hres
                                    is 2, 3, 5 or 6.
                                </div>
                            </li>
                        </ul>
                        <a name="setChHres-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setChHres</h4>
                                <pre>public&nbsp;void&nbsp;setChHres(byte&nbsp;field_2_chHres)</pre>
                                <div class="block">The character that will be used to add or change a letter when hres
                                    is 2, 3, 5 or 6.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HRESIAbstractType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/GrfhicAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/HRESIAbstractType.html" target="_top">Frames</a>
        </li>
        <li><a href="HRESIAbstractType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
